torchrun   --nproc_per_node 1  --nnodes 1  --node_rank 0  --master_addr 127.0.0.1  --master_port 45565 llama_sft.py \
    --model_name_or_path meta-llama/Meta-Llama-3-8B-Instruct \
    --model_type llama \
    --tokenizer_name meta-llama/Meta-Llama-3-8B-Instruct \
    --input_dataset_path sft_data.json \
    --deepspeed "ds_config.json" \
    --overwrite_output_dir \
    --per_device_train_batch_size 1 \
    --per_device_eval_batch_size 1 \
    --do_train \
    --do_eval \
    --logging_strategy steps \
    --logging_steps 1 \
    --output_dir "tmp" \
    --num_train_epochs 1

if [ "${node_rank}" -eq 0 ]; then
    echo ${node_rank}
    python merge_lora_weight.py \
        --model_name_or_path "meta-llama/Meta-Llama-3-8B-Instruct" \
        --lora_dir "tmp"
        
fi
